#pragma once
#include <Servo.h>

class ContinuousServo
{
public:
    ContinuousServo(int pin);
    void moveServoForMillisClockwise(unsigned long duration);
    void moveServoForMillisCounterClockwise(unsigned long duration);
    void tick();
    bool isTurning() { return m_isTurning; }

private:
    Servo myservo;
    bool m_isTurning = false;
    unsigned long m_endTurningTime;
    const int NEUTRAL_POS = 88;
    const int speed = 10;
};
