#include "SmartButton.hpp"
#include <Arduino.h>

SmartButton::SmartButton(int pin)
{
    m_pin = pin;
}

void SmartButton::init()
{
    pinMode(m_pin, INPUT);
}

bool SmartButton::isJustPressed()
{
    if (digitalRead(m_pin) == HIGH)
    {
        m_isDown = false;
        return false;
    }
    if (digitalRead(m_pin) == LOW && !m_isDown)
    {
        m_isDown = true;
        return true;
    }
    return false;
}