#pragma once
#include <Arduino.h>

class SmartDial
{
public:
    SmartDial(int pin);
    // Returns a value between 0 and 6 (inclusive)
    int getValue();
    int smoothEdit(int *out_value, int t_min, int t_max);

private:
    int m_pin;
    unsigned long m_interval = 500;
    unsigned long next_step_time = 0;
    int getDelayFromSpeed(int speedSetting);
};